# Uses of Enum Class
org.snpeff.snpEffect.EffectType

Packages that use EffectType
Package
Description
org.snpeff.filter
org.snpeff.interval
org.snpeff.interval.codonChange
org.snpeff.motif
org.snpeff.snpEffect
org.snpeff.vcf

## Uses of EffectType in org.snpeff.filter

Methods in org.snpeff.filter with parameters of type EffectType
Modifier and Type
Method
Description
`void`
VariantEffectFilter.`add(EffectType effType)`

## Uses of EffectType in org.snpeff.interval

Fields in org.snpeff.interval declared as EffectType
Modifier and Type
Field
Description
`protected EffectType`
Marker.`type`
Methods in org.snpeff.interval that return EffectType
Modifier and Type
Method
Description
`EffectType`
Marker.`getType()`

## Uses of EffectType in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange that return EffectType
Modifier and Type
Method
Description
`protected EffectType`
CodonChange.`additionalEffect(String codonsOld, String codonsNew, int codonNum, int codonIndex, String aaOld, String aaNew)`
Calculate additional effect due to codon changes E.g.
Methods in org.snpeff.interval.codonChange with parameters of type EffectType
Modifier and Type
Method
Description
`protected VariantEffect`
CodonChange.`effect(Marker marker, EffectType effectType, boolean allowReplace)`
Calculate variant effect
`protected VariantEffect`
CodonChange.`effectNoCodon(Marker marker, EffectType effectType)`
`protected VariantEffect`
CodonChange.`effectNoCodon(Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact)`

## Uses of EffectType in org.snpeff.motif

Methods in org.snpeff.motif with parameters of type EffectType
Modifier and Type
Method
Description
`String`
MotifLogo.`toStringHtml(int width, int maxHeight, EffectType efectType)`
Return an HTML string that represents the motif.

## Uses of EffectType in org.snpeff.snpEffect

Fields in org.snpeff.snpEffect declared as EffectType
Modifier and Type
Field
Description
`protected EffectType`
VariantEffect.`effectType`
Fields in org.snpeff.snpEffect with type parameters of type EffectType
Modifier and Type
Field
Description
`protected List<EffectType>`
VariantEffect.`effectTypes`
Methods in org.snpeff.snpEffect that return EffectType
Modifier and Type
Method
Description
`protected EffectType`
VariantEffectStructural.`effect()`
`EffectType`
VariantEffect.`getEffectType()`
Highest effect type
`EffectType`
EffectType.`getGeneRegion()`
`static EffectType`
EffectType.`parse(EffFormatVersion formatVersion, String str)`
Parse a string to an EffectType
`static EffectType`
EffectType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EffectType[]`
EffectType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.snpEffect that return types with arguments of type EffectType
Modifier and Type
Method
Description
`List<EffectType>`
VariantEffect.`getEffectTypes()`
Highest effect type
Methods in org.snpeff.snpEffect with parameters of type EffectType
Modifier and Type
Method
Description
`void`
VariantEffects.`add(Variant variant, Marker marker, EffectType effectType, String message)`
Add an effect
`void`
VariantEffects.`add(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
Add an effect
`void`
VariantEffect.`addEffect(EffectType effectType)`
`void`
VariantEffect.`addEffectType(EffectType effectType)`
`void`
VariantEffects.`addEffectType(Variant variant, Marker marker, EffectType effectType)`
Add: If possible, only add an effect type (otherwise add the full effect)
`boolean`
VariantEffect.`hasEffectType(EffectType effectType)`
`void`
VariantEffect.`set(Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
`void`
VariantEffect.`setEffect(EffectType effectType)`
Set effect using default impact
`void`
VariantEffect.`setEffectType(EffectType effectType)`
Constructors in org.snpeff.snpEffect with parameters of type EffectType
Modifier
Constructor
Description
``
`VariantEffect(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String codonsOld, String codonsNew, int codonNum, int codonIndex, int cDnaPos)`

## Uses of EffectType in org.snpeff.vcf

Methods in org.snpeff.vcf that return EffectType
Modifier and Type
Method
Description
`EffectType`
VcfEffect.`getEffectType()`
Methods in org.snpeff.vcf that return types with arguments of type EffectType
Modifier and Type
Method
Description
`List<EffectType>`
VcfEffect.`getEffectTypes()`
Methods in org.snpeff.vcf with parameters of type EffectType
Modifier and Type
Method
Description
`void`
VcfEffect.`addEffectType(EffectType effectType)`
`boolean`
VcfEffect.`hasEffectType(EffectType effType)`
Does it have 'effType' ?
`void`
VcfEffect.`setEffectType(EffectType effect)`